# NAME

Trf_ClearCtrlBlock - Interface for procedures to reset the internal state of an encoder/decoder.

# SYNOPSIS

    #include <transform.h>

    void Trf_ClearCtrlBlock
    (
    	Trf_ControlBlock ctrlBlock,
    	ClientData clientData
    );

# PARAMETERS

Trf_ControlBlock ctrlBlock
  State of encoder/decoder.
ClientData clientData
  Arbitrary information, as defined in Trf_TypeDefinition.clientData.

# DESCRIPTION

The generic io layer of tcl sometimes discards its input buffer. A procedure of this type will be called in such a case to reset the internal state of the control structure and to discard buffered characters.

# SEE ALSO

Trf_Init , Trf_SafeInit , Trf_IsInitialized , Trf_CreateOptions , Trf_DeleteOptions , Trf_CheckOptions , Trf_SetOption , Trf_SetObjOption , Trf_QueryOptions , Trf_SeekQueryOptions , Trf_WriteProc , Trf_CreateCtrlBlock , Trf_DeleteCtrlBlock , Trf_TransformCharacter , Trf_TransformBuffer , Trf_FlushTransformation , Trf_QueryMaxRead , Trf_Register , Trf_ConverterOptions , Trf_MDStart , Trf_MDUpdate , Trf_MDUpdateBuf , Trf_MDFinal , Trf_MDCheck , Trf_RegisterMessageDigest , Trf_LoadLibrary , Trf_XorBuffer , Trf_ShiftRegister , Trf_FlipRegisterShort , Trf_FlipRegisterLong , Trf_InitStubs